using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace IMLibrary.Controls.Toolbox.Design
{
    [AttributeUsage(AttributeTargets.All)]
    internal sealed class SRCategoryAttribute : CategoryAttribute
    {
        public SRCategoryAttribute(string category)
            : base(category)
        {
        }

        protected override string GetLocalizedString(string value)
        {
            return Properties.Resources.ResourceManager.GetString(value);
        }
    }
}
